gr::ieee802_15_4::codeword_soft_demapper_fb Class Reference

<+description of block+> More...

`#include <codeword_soft_demapper_fb.h>`

Inheritance diagram for gr::ieee802_15_4::codeword_soft_demapper_fb:
[legend]

## Public Types

typedef boost::shared_ptr< codeword_soft_demapper_fb > | sptr

## Static Public Member Functions

static sptr | make (int bits_per_cw, std::vector< std::vector< float > > codewords)
| Return a shared_ptr to a new instance of ieee802_15_4::codeword_soft_demapper_fb. More...

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<codeword_soft_demapper_fb> gr::ieee802_15_4::codeword_soft_demapper_fb::sptr

## Member Function Documentation

## make()

static sptr gr::ieee802_15_4::codeword_soft_demapper_fb::make | ( | int | bits_per_cw,
|  | std::vector< std::vector< float > > | codewords
| ) |  |

static

Return a shared_ptr to a new instance of ieee802_15_4::codeword_soft_demapper_fb.

To avoid accidental use of raw pointers, ieee802_15_4::codeword_soft_demapper_fb's constructor is in a private implementation class. ieee802_15_4::codeword_soft_demapper_fb::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- codeword_soft_demapper_fb.h